Subject: RE: weird hanging problems with cygwin v1.1.2
From: Earnie Boyd <[email-masked]>
To: John Pollock <[email-masked]>, Terry Lincoln <[email-masked]>, "Larry Hall \(RFK Partners, Inc\)" <[email-masked]>
Cc: [email-masked]
Date: Wed, 21 Jun 2000 08:14:25 -0700 (PDT)

--- John Pollock <[email-masked]> wrote:
-8<-
> That would make some sense with what i saw.  I definitely saw some caching
> behavior; the problem that the behavior wasn't consistent.  I'd run "ls" and
> get a massive delay, and then it would be quick for a few times in a row,
> then it would slow down again.  Maybe the cache expires too quickly?
> 
> I'm still not clear, though, on why NT security is needed in any way
> different from before.  I mean, in the past, ls would have to check the NTFS
> permissions to see if the user had rights, so what's changed?
> 

New features have been added and bugs have been fixed.  To find out exactly
what changed, read the ChangeLog file in every directory.  Each one is
different so be sure to check all ChangeLogs.  Or, do a CVS differences on the
source specifying a date range like so: cvs diff -u3pN -D 1999-01-15 -D
2000-06-21.

BTW, the current snapshots have even more enhanced features in regards to help
speed up this issue.  Try the most recent snapshot to see if you see different
results and report to this list.

Cheers,

=====
---
   Earnie Boyd: <mailto:[email-masked]>
            __Cygwin: POSIX on Windows__
Cygwin Newbies: <http://www.freeyellow.com/members5/gw32/index.html>
           __Minimalist GNU for Windows__
  Mingw32 List: <http://www.egroups.com/group/mingw32/>
    Mingw Home: <http://www.mingw.org/>

__________________________________________________
Do You Yahoo!?
Send instant messages with Yahoo! Messenger.
http://im.yahoo.com/

--
Want to unsubscribe from this list?
Send a message to [email-masked]